package config

import (
	"errors"
	"fmt"
	"strconv"
	"strings"
)

const (
	errNoCommand             = "at least one command must be specified, use help to get commands"
	errNotSupportedType      = "not supported configuration type"
	errMissingWorkspaceField = "missing required \"workspace\" field"
	errMissingSrcField       = "missing required field the \"src\" in row %v"
)

func getDuplicateFieldError(field string, name string, rows []int) error {

	var rowsInString []string
	for _, row := range rows {
		rowsInString = append(rowsInString, strconv.Itoa(row))
	}

	errorMessage := fmt.Sprintf("The %v \"%v\" is duplicated in rows: %v", field, name, strings.Join(rowsInString, ","))

	return errors.New(errorMessage)
}
